package com.denachina.pickle.ui;

import android.app.Dialog;
import android.content.Context;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.RelativeLayout;

import com.denachina.pickle.util.ResourceManager;
import com.denachina.pickle.util.Utils;

/**
 * Created by he.b.wang on 16/6/12.
 */
public class ProgressDialog extends Dialog {

    private Context mContext;
    private ResourceManager R;

    public ProgressDialog(Context context) {
        super(context);
        mContext = context;
        R = ResourceManager.getInstance(context);
    }
    public ProgressDialog(Context context, int themeResId) {
        super(context, themeResId);
        R = ResourceManager.getInstance(context);
        mContext = context;
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setCancelable(false);
        int width = (int)(Utils.getDeviceWidth(mContext) * 0.2);
        LayoutInflater inflater = LayoutInflater.from(mContext);
        View view = inflater.inflate(R.getLayoutForId("pickle_progress_dialog_layout"), null);
        setContentView(view, new RelativeLayout.LayoutParams(width, width));
    }
}
